# std::tr1::__detail::_Hash_code_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Hash, false > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Key, typename _Value, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash>
struct std::tr1::__detail::_Hash_code_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Hash, false >

Definition at line 699 of file hashtable_policy.h.

## Protected Types

- typedef void * _Hash_code_type

## Protected Member Functions

- _Hash_code_base (const _ExtractKey &__ex, const _Equal &__eq, const _H1 &, const _H2 &, const _Hash &__h)
- std::size_t _M_bucket_index (const _Hash_node< _Value, false > *__p, std::size_t __n) const
- std::size_t _M_bucket_index (const _Key &__k, _Hash_code_type, std::size_t __n) const
- bool _M_compare (const _Key &__k, _Hash_code_type, _Hash_node< _Value, false > *__n) const
- void _M_copy_code (_Hash_node< _Value, false > *, const _Hash_node< _Value, false > *) const
- _Hash_code_type _M_hash_code (const _Key &__key) const
- void _M_store_code (_Hash_node< _Value, false > *, _Hash_code_type) const
- void _M_swap (_Hash_code_base &__x)

## Protected Attributes

- _Equal _M_eq
- _ExtractKey _M_extract
- _Hash _M_ranged_hash

The documentation for this struct was generated from the following file:

- hashtable_policy.h